<template>
  <div class="container" >
    <h1>Appels d'offre</h1>
    <div>
      <div class="float-right text-pad-right text-end">
        <router-link :to="{ name: 'tenderCallAdd'}" class="btn btn-outline-dark">ajouter un appel d'offre</router-link><br>
      </div>
      <table class="table table-striped table-hover mb-5">
        <thead>
        <tr>
          <th scope="col">titre</th>
          <th scope="col">Date de début</th>
          <th scope="col">Date de fin</th>
          <th scope="col">#</th>
        </tr>
        </thead>
        <tbody>
        <tender-call-item
            v-for="tenderCall in filteredTenderCalls"
            :key="tenderCall.id"
            :id="tenderCall.id"
            :title="tenderCall.title"
            :startDate="tenderCall.startDate"
            :endDate="tenderCall.endDate"
        ></tender-call-item>
        </tbody>
      </table>
    </div>
    <div>
    
  </div>
  </div>
  
</template>

<script>

import TenderCallItem from "../../components/tenderCall/TenderCallItem.vue";

export default {
  components: {
    TenderCallItem,
  },
  data() {
    return {
      users: [],
      isLoading: false,
      error: null,
    };
  },
  computed: {
    filteredTenderCalls() {
      return(this.$store.getters["tenderCalls/tenderCalls"]);
    },
    hasTenderCalls() {
      return !this.isLoading && this.$store.getters["tenderCalls/hasTenderCalls"];
    },
  },
  created() {
    this.loadTenderCalls();
  },
  methods: {
    async loadTenderCalls(refresh = false) {
      this.isLoading = true;
      try {
        await this.$store.dispatch("tenderCalls/loadTenderCalls", {
          forceRefresh: refresh,
        });
      } catch (error) {
        this.error = error.message || "Something went wrong!";
      }
      this.isLoading = false;
    },

  },
  handleError() {
    this.error = null;
  },
};
</script>
